Stop leaving out people
curl --request DELETE \
--url https://intentleads.si/api/v1/exclusions/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jordan.lee@example.com"
],
"email_sha256": [],
"linkedin": [
"https://www.linkedin.com/in/sam-rivera-example"
]
}
'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['jordan.lee@example.com'],
email_sha256: [],
linkedin: ['https://www.linkedin.com/in/sam-rivera-example']
})
};
fetch('https://intentleads.si/api/v1/exclusions/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/exclusions/people"
payload = {
"emails": ["jordan.lee@example.com"],
"email_sha256": [],
"linkedin": ["https://www.linkedin.com/in/sam-rivera-example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"changed": 1,
"dropped_invalid": 0,
"people": 1251,
"updated_at": "2026-10-14T09:30:00.000Z"
}
Stop leaving out people
Removes people from the list: in the body (same formats as adding) or as query values like ?email=jordan.lee@example.com. ?all=true clears it.
Free. This doesn’t use any contacts from your plan.
DELETE
/
api
/
v1
/
exclusions
/
people
Stop leaving out people
curl --request DELETE \
--url https://intentleads.si/api/v1/exclusions/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jordan.lee@example.com"
],
"email_sha256": [],
"linkedin": [
"https://www.linkedin.com/in/sam-rivera-example"
]
}
'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['jordan.lee@example.com'],
email_sha256: [],
linkedin: ['https://www.linkedin.com/in/sam-rivera-example']
})
};
fetch('https://intentleads.si/api/v1/exclusions/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/exclusions/people"
payload = {
"emails": ["jordan.lee@example.com"],
"email_sha256": [],
"linkedin": ["https://www.linkedin.com/in/sam-rivera-example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"changed": 1,
"dropped_invalid": 0,
"people": 1251,
"updated_at": "2026-10-14T09:30:00.000Z"
}
Authorizations
An Intent Leads API key, e.g. il_live_ followed by 32 letters and digits. Create one on the API and CLI page of the dashboard.
Query Parameters
true clears the list.
An email to stop leaving out. Repeat for several.
An email hash to stop leaving out.
A LinkedIn profile URL to stop leaving out.
Body
application/jsontext/csvtext/plain
Response
The change, and the total now.
People added or removed by this call.
Values that weren't an email, email hash or LinkedIn profile.
Hashes held now.
Present and true after ?all=true.